PCAP_SETFILTER(3PCAP)

NAME
pcap_setfilter - set the filter

SYNOPSIS
#include <pcap/pcap.h>

int pcap_setfilter(pcap_t *p, struct bpf_program *fp);

DESCRIPTION
pcap_setfilter() is used to specify a filter program. fp is a pointer to a bpf_program struct, usually the result of a call to pcap_compile().

RETURN VALUE
pcap_setfilter() returns 0 on success and -1 on failure. If -1 is returned, pcap_geterr() or pcap_perror() may be called with p as an argument to fetch or display the error text.

SEE ALSO
pcap(3PCAP), pcap_compile(3PCAP), pcap_geterr(3PCAP)